Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.auth
Class DefaultAuthorizationMapping

    java.lang.Object
      org.jivesoftware.openfire.auth.DefaultAuthorizationMapping

All Implemented Interfaces:
  AuthorizationMapping

    public class DefaultAuthorizationMapping

extends Object
implements AuthorizationMapping

This is the interface the used to provide default default authorization ID's when none was selected by the client. This class simply removes the realm (if any) from the principal if and only if the realm matches the server's realm, the server's xmpp domain name, or

Author:
  Jay Kline

Constructor Summary
`DefaultAuthorizationMapping()`

Method Summary
`String` | `description()` Returns a description of the Policy
`String` | `map(String principal)` Returns true if the principal is explicity authorized to the JID
`String` | `name()` Returns the short name of the Policy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAuthorizationMapping

    public DefaultAuthorizationMapping()

Method Detail

### map

    public String map(String principal)

  Returns true if the principal is explicity authorized to the JID

  Specified by:
    `map` in interface `AuthorizationMapping`
  Parameters:
    `principal` - The autheticated principal requesting authorization.
  Returns:
    The name of the default username to use.

### name

    public String name()

  Returns the short name of the Policy

  Specified by:
    `name` in interface `AuthorizationMapping`
  Returns:
    The short name of the Policy

### description

    public String description()

  Returns a description of the Policy

  Specified by:
    `description` in interface `AuthorizationMapping`
  Returns:
    The description of the Policy.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.